
Redmine - Feature #4590

Precede-Follow relation should move following issues when rescheduling issue earlier

2010-01-15 08:16 - Mars Eille

Status: Closed Start date: 2010-01-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

Hi,

Suppose Task1 precedes Task2...and when I postpone Task1, then Task2's start date gets postponed as well.  However, when

Task1 gets moved earlier, Task2's start date remains as-is; effectively detaching the precede-follow relationship.  Is it possible to

implement so that precede-follow relationship remains when tasks get moved in either direction?

Related issues:

Related to Redmine - Defect #5803: Precedes/Follows Relationships Broke Closed 2010-07-01

Has duplicate Redmine - Defect #8936: rescheduling of an issue to an earlier ... Closed 2011-07-28

Associated revisions

Revision 10878 - 2012-11-24 14:43 - Jean-Philippe Lang

Precede-Follow relation should move following issues earlier when rescheduling issue earlier (#4590).

Revision 10880 - 2012-11-24 16:09 - Jean-Philippe Lang

Fixed the behaviour for when rescheduling a parent task (#4590).

History

#1 - 2010-04-29 08:29 - tengel liu

This can be done by apply following code

--- 1/app/model/issue.rb    2010-04-29 13:52:50.000000000 +0800

+++ 2/app/model/issue.rb    2010-04-29 14:32:20.000000000 +0800

@@ -446,7 +446,7 @@

   def reschedule_after(date)

     return if date.nil?

     if leaf?

-      if start_date.nil? || start_date < date

+      if start_date.nil? || start_date != date

         self.start_date, self.due_date = date, date + duration

         save

       end

#2 - 2011-02-18 13:35 - Etienne Massip

- Category set to Issues planning

#3 - 2011-08-19 18:12 - Aurélien Appéré

Still having the same problem in version 1.2.1 stable.

#4 - 2012-11-24 14:45 - Jean-Philippe Lang

- Subject changed from Precede-Follow relation moves backward to Precede-Follow relation should move following issues when rescheduling issue

earlier

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

- Resolution set to Fixed
Implemented in r10878.

#5 - 2019-02-03 19:47 - Marius BĂLTEANU

- Has duplicate Defect #8936: rescheduling of an issue to an earlier date does not update issues that follow on this issue added
